uudoc(1)

NAME
uudoc - Change file owner and group

SYNOPSIS
uudoc [--help] [-c|--changes] [--from] [--preserve-root] [--no-preserve-root] [--quiet] [-R|--recursive] [--reference] [-f|--silent] [-v|--verbose] [-H ] [-L ] [-P ] [--dereference] [-h|--no-dereference] [-V|--version]

DESCRIPTION
Change file owner and group

OPTIONS

--help
    Print help information.

-c, --changes
    like verbose but report only when a change is made

--from <CURRENT_OWNER:CURRENT_GROUP>
    change the owner and/or group of each file only if its current owner and/or group match those specified here. Either may be omitted, in which case a match is not required for the omitted attribute

--preserve-root
    fail to operate recursively on '/'

--no-preserve-root
    do not treat '/' specially (the default)

--quiet
    suppress most error messages

-R, --recursive
    operate on files and directories recursively

--reference <RFILE>
    use RFILE's owner and group rather than specifying OWNER:GROUP values

-f, --silent

-v, --verbose
    output a diagnostic for every file processed

-H  if a command line argument is a symbolic link to a directory, traverse it

-L  traverse every symbolic link to a directory encountered

-P  do not traverse any symbolic links (default)

--dereference
    affect the referent of each symbolic link (this is the default), rather than the symbolic link itself

-h, --no-dereference
    affect symbolic links instead of any referenced file (useful only on systems that can change the ownership of a symlink)

-V, --version
    Print version

EXTRA
Examples Change the owner user of a file/directory: sudo chown {{user}} {{path/to/file_or_directory}} Change the owner user and group of a file/directory: sudo chown {{user}}:{{group}} {{path/to/file_or_directory}} Change the owner user and group to both have the name `user`: sudo chown {{user}}: {{path/to/file_or_directory}} Change the group of a file to a group that the current user belongs to: chown :{{group}} {{path/to/file_or_directory}} Recursively change the owner of a directory and its contents: sudo chown {{[-R|--recursive]}} {{user}} {{path/to/directory}} Change the owner of a symbolic link: sudo chown {{[-h|--no-dereference]}} {{user}} {{path/to/symlink}} Change the owner of a file/directory to match a reference file: sudo chown --reference {{path/to/reference_file}} {{path/to/file_or_directory}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0